Subject: 28.0.50; M-x is broken since 1af91d271e077134e272055407fb8c4312a7579b

From: Daniel Mendler <[email-masked]>
Date: Fri, 14 May 2021 09:22:43 +0200

Load a package like so-long, then press M-x TAB. I observe an error
"Invalid version syntax: `so-long 1.0` must start with a number. The
error occurs within `all-completions` and is probably due to the
predicate modified in 1af91d271e077134e272055407fb8c4312a7579b.

Original bug report: https://github.com/minad/vertico/issues/31